// $Id: CHttpHeaderTask.h,v 1.5 2003/04/09 10:26:45 ta_muto Exp $

#ifndef __wax_CHttpHeaderTask_h
#define __wax_CHttpHeaderTask_h

#include <common.h>
#include <views/ITask.h>

namespace wax {
	class CHttpHeaderTask : public ITask {
		xmlChar* name;
		xmlChar* value;
	public:
		CHttpHeaderTask();
		CHttpHeaderTask(const xmlChar* initName, const xmlChar* initValue);
		~CHttpHeaderTask();
		
		bool parse(CEnvironment* runenv, xmlNodePtr cur);
		bool execute();
		void output(IWriter* writer);
	} ;
}

#endif
